
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Index &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="copyright" title="Copyright" href="copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="contents.html" />
    <link rel="shortcut icon" type="image/png" href="_static/py.png" />
    <script type="text/javascript" src="_static/copybutton.js"></script>
    <script type="text/javascript" src="_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index &ndash; W</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/os.html#os.W_OK">W_OK (in module os)</a>
  </dt>

      
  <dt><a href="library/asyncio-subprocess.html#asyncio.asyncio.subprocess.Process.wait">wait() (asyncio.asyncio.subprocess.Process method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/asyncio-sync.html#asyncio.Condition.wait">(asyncio.Condition method)</a>
  </dt>

        
  <dt><a href="library/asyncio-sync.html#asyncio.Event.wait">(asyncio.Event method)</a>
  </dt>

        
  <dt><a href="library/asyncio-task.html#asyncio.wait">(in module asyncio)</a>
  </dt>

        
  <dt><a href="library/concurrent.futures.html#concurrent.futures.wait">(in module concurrent.futures)</a>
  </dt>

        
  <dt><a href="library/multiprocessing.html#multiprocessing.connection.wait">(in module multiprocessing.connection)</a>
  </dt>

        
  <dt><a href="library/os.html#os.wait">(in module os)</a>
  </dt>

        
  <dt><a href="library/multiprocessing.html#multiprocessing.pool.AsyncResult.wait">(multiprocessing.pool.AsyncResult method)</a>
  </dt>

        
  <dt><a href="library/subprocess.html#subprocess.Popen.wait">(subprocess.Popen method)</a>
  </dt>

        
  <dt><a href="library/threading.html#threading.Barrier.wait">(threading.Barrier method)</a>
  </dt>

        
  <dt><a href="library/threading.html#threading.Condition.wait">(threading.Condition method)</a>
  </dt>

        
  <dt><a href="library/threading.html#threading.Event.wait">(threading.Event method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/os.html#os.wait3">wait3() (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.wait4">wait4() (in module os)</a>
  </dt>

      
  <dt><a href="library/asyncio-eventloop.html#asyncio.Server.wait_closed">wait_closed() (asyncio.Server method)</a>
  </dt>

      
  <dt><a href="library/asyncio-sync.html#asyncio.Condition.wait_for">wait_for() (asyncio.Condition method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/asyncio-task.html#asyncio.wait_for">(in module asyncio)</a>
  </dt>

        
  <dt><a href="library/threading.html#threading.Condition.wait_for">(threading.Condition method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/os.html#os.waitid">waitid() (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.waitpid">waitpid() (in module os)</a>
  </dt>

      
  <dt><a href="library/email.message.html#email.message.Message.walk">walk() (email.message.Message method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/ast.html#ast.walk">(in module ast)</a>
  </dt>

        
  <dt><a href="library/os.html#os.walk">(in module os)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/pkgutil.html#pkgutil.walk_packages">walk_packages() (in module pkgutil)</a>
  </dt>

      
  <dt><a href="library/traceback.html#traceback.walk_stack">walk_stack() (in module traceback)</a>
  </dt>

      
  <dt><a href="library/traceback.html#traceback.walk_tb">walk_tb() (in module traceback)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.Example.want">want (doctest.Example attribute)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#distutils.ccompiler.CCompiler.warn">warn() (distutils.ccompiler.CCompiler method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="distutils/apiref.html#distutils.text_file.TextFile.warn">(distutils.text_file.TextFile method)</a>
  </dt>

        
  <dt><a href="library/warnings.html#warnings.warn">(in module warnings)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/warnings.html#warnings.warn_explicit">warn_explicit() (in module warnings)</a>
  </dt>

      
  <dt><a href="library/exceptions.html#Warning">Warning</a>
  </dt>

      
  <dt><a href="library/logging.html#logging.warning">warning() (in module logging)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/logging.html#logging.Logger.warning">(logging.Logger method)</a>
  </dt>

        
  <dt><a href="library/xml.sax.handler.html#xml.sax.handler.ErrorHandler.warning">(xml.sax.handler.ErrorHandler method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/warnings.html#index-0">warnings</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/warnings.html#module-warnings">(module)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/test.html#test.support.WarningsRecorder">WarningsRecorder (class in test.support)</a>
  </dt>

      
  <dt><a href="library/sys.html#sys.warnoptions">warnoptions (in module sys)</a>
  </dt>

      
  <dt><a href="library/unittest.html#unittest.TestResult.wasSuccessful">wasSuccessful() (unittest.TestResult method)</a>
  </dt>

      
  <dt><a href="library/logging.handlers.html#logging.handlers.WatchedFileHandler">WatchedFileHandler (class in logging.handlers)</a>
  </dt>

      
  <dt><a href="library/wave.html#module-wave">wave (module)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WCONTINUED">WCONTINUED (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WCOREDUMP">WCOREDUMP() (in module os)</a>
  </dt>

      
  <dt><a href="library/weakref.html#weakref.WeakKeyDictionary">WeakKeyDictionary (class in weakref)</a>
  </dt>

      
  <dt><a href="library/weakref.html#weakref.WeakMethod">WeakMethod (class in weakref)</a>
  </dt>

      
  <dt><a href="library/weakref.html#module-weakref">weakref (module)</a>
  </dt>

      
  <dt><a href="library/weakref.html#weakref.WeakSet">WeakSet (class in weakref)</a>
  </dt>

      
  <dt><a href="library/weakref.html#weakref.WeakValueDictionary">WeakValueDictionary (class in weakref)</a>
  </dt>

      
  <dt><a href="library/webbrowser.html#module-webbrowser">webbrowser (module)</a>
  </dt>

      
  <dt><a href="library/datetime.html#datetime.date.weekday">weekday() (datetime.date method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/datetime.html#datetime.datetime.weekday">(datetime.datetime method)</a>
  </dt>

        
  <dt><a href="library/calendar.html#calendar.weekday">(in module calendar)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/calendar.html#calendar.weekheader">weekheader() (in module calendar)</a>
  </dt>

      
  <dt><a href="library/random.html#random.weibullvariate">weibullvariate() (in module random)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WEXITED">WEXITED (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WEXITSTATUS">WEXITSTATUS() (in module os)</a>
  </dt>

      
  <dt><a href="library/http.server.html#http.server.BaseHTTPRequestHandler.wfile">wfile (http.server.BaseHTTPRequestHandler attribute)</a>
  </dt>

      
  <dt><a href="library/imghdr.html#imghdr.what">what() (in module imghdr)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/sndhdr.html#sndhdr.what">(in module sndhdr)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/sndhdr.html#sndhdr.whathdr">whathdr() (in module sndhdr)</a>
  </dt>

      
  <dt><a href="library/pdb.html#pdbcommand-whatis">whatis (pdb command)</a>
  </dt>

      
  <dt><a href="library/pdb.html#pdbcommand-where">where (pdb command)</a>
  </dt>

      
  <dt><a href="library/shutil.html#shutil.which">which() (in module shutil)</a>
  </dt>

      
  <dt><a href="library/dbm.html#dbm.whichdb">whichdb() (in module dbm)</a>
  </dt>

      
  <dt>
    while
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-1">statement</a>, <a href="reference/compound_stmts.html#index-4">[1]</a>, <a href="reference/simple_stmts.html#index-27">[2]</a>, <a href="reference/simple_stmts.html#index-30">[3]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/string.html#string.whitespace">whitespace (in module string)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/shlex.html#shlex.shlex.whitespace">(shlex.shlex attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/shlex.html#shlex.shlex.whitespace_split">whitespace_split (shlex.shlex attribute)</a>
  </dt>

      
  <dt><a href="library/tkinter.ttk.html#tkinter.ttk.Widget">Widget (class in tkinter.ttk)</a>
  </dt>

      
  <dt><a href="library/textwrap.html#textwrap.TextWrapper.width">width (textwrap.TextWrapper attribute)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.width">width() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WIFCONTINUED">WIFCONTINUED() (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WIFEXITED">WIFEXITED() (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WIFSIGNALED">WIFSIGNALED() (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WIFSTOPPED">WIFSTOPPED() (in module os)</a>
  </dt>

      
  <dt><a href="library/platform.html#platform.win32_ver">win32_ver() (in module platform)</a>
  </dt>

      
  <dt><a href="library/ctypes.html#ctypes.WinDLL">WinDLL (class in ctypes)</a>
  </dt>

      
  <dt><a href="library/tkinter.html#index-1">window manager (widgets)</a>
  </dt>

      
  <dt><a href="library/curses.panel.html#curses.panel.Panel.window">window() (curses.panel.Panel method)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.window_height">window_height() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.window_width">window_width() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/configparser.html#index-0">Windows ini file</a>
  </dt>

      
  <dt><a href="library/exceptions.html#WindowsError">WindowsError</a>
  </dt>

      
  <dt><a href="library/pathlib.html#pathlib.WindowsPath">WindowsPath (class in pathlib)</a>
  </dt>

      
  <dt><a href="library/importlib.html#importlib.machinery.WindowsRegistryFinder">WindowsRegistryFinder (class in importlib.machinery)</a>
  </dt>

      
  <dt><a href="library/exceptions.html#OSError.winerror">winerror (OSError attribute)</a>
  </dt>

      
  <dt><a href="library/ctypes.html#ctypes.WinError">WinError() (in module ctypes)</a>
  </dt>

      
  <dt><a href="library/ctypes.html#ctypes.WINFUNCTYPE">WINFUNCTYPE() (in module ctypes)</a>
  </dt>

      
  <dt><a href="library/winreg.html#module-winreg">winreg (module)</a>
  </dt>

      
  <dt><a href="library/select.html#index-2">WinSock</a>
  </dt>

      
  <dt><a href="library/winsound.html#module-winsound">winsound (module)</a>
  </dt>

      
  <dt><a href="library/sys.html#sys.winver">winver (in module sys)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt>
    with
  </dt>

      <dd><dl>
        
  <dt><a href="reference/compound_stmts.html#index-16">statement</a>, <a href="reference/datamodel.html#index-88">[1]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/dis.html#opcode-WITH_CLEANUP_FINISH">WITH_CLEANUP_FINISH (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-WITH_CLEANUP_START">WITH_CLEANUP_START (opcode)</a>
  </dt>

      
  <dt><a href="library/ipaddress.html#ipaddress.IPv4Interface.with_hostmask">with_hostmask (ipaddress.IPv4Interface attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/ipaddress.html#ipaddress.IPv4Network.with_hostmask">(ipaddress.IPv4Network attribute)</a>
  </dt>

        
  <dt><a href="library/ipaddress.html#ipaddress.IPv6Interface.with_hostmask">(ipaddress.IPv6Interface attribute)</a>
  </dt>

        
  <dt><a href="library/ipaddress.html#ipaddress.IPv6Network.with_hostmask">(ipaddress.IPv6Network attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/pathlib.html#pathlib.PurePath.with_name">with_name() (pathlib.PurePath method)</a>
  </dt>

      
  <dt><a href="library/ipaddress.html#ipaddress.IPv4Interface.with_netmask">with_netmask (ipaddress.IPv4Interface attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/ipaddress.html#ipaddress.IPv4Network.with_netmask">(ipaddress.IPv4Network attribute)</a>
  </dt>

        
  <dt><a href="library/ipaddress.html#ipaddress.IPv6Interface.with_netmask">(ipaddress.IPv6Interface attribute)</a>
  </dt>

        
  <dt><a href="library/ipaddress.html#ipaddress.IPv6Network.with_netmask">(ipaddress.IPv6Network attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/ipaddress.html#ipaddress.IPv4Interface.with_prefixlen">with_prefixlen (ipaddress.IPv4Interface attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/ipaddress.html#ipaddress.IPv4Network.with_prefixlen">(ipaddress.IPv4Network attribute)</a>
  </dt>

        
  <dt><a href="library/ipaddress.html#ipaddress.IPv6Interface.with_prefixlen">(ipaddress.IPv6Interface attribute)</a>
  </dt>

        
  <dt><a href="library/ipaddress.html#ipaddress.IPv6Network.with_prefixlen">(ipaddress.IPv6Network attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/pathlib.html#pathlib.PurePath.with_suffix">with_suffix() (pathlib.PurePath method)</a>
  </dt>

      
  <dt><a href="library/exceptions.html#BaseException.with_traceback">with_traceback() (BaseException method)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WNOHANG">WNOHANG (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WNOWAIT">WNOWAIT (in module os)</a>
  </dt>

      
  <dt><a href="library/shlex.html#shlex.shlex.wordchars">wordchars (shlex.shlex attribute)</a>
  </dt>

      
  <dt><a href="library/internet.html#index-0">World Wide Web</a>, <a href="library/urllib.parse.html#index-0">[1]</a>, <a href="library/urllib.robotparser.html#index-0">[2]</a>
  </dt>

      
  <dt><a href="library/textwrap.html#textwrap.wrap">wrap() (in module textwrap)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/textwrap.html#textwrap.TextWrapper.wrap">(textwrap.TextWrapper method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/ssl.html#ssl.SSLContext.wrap_bio">wrap_bio() (ssl.SSLContext method)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.wrap_socket">wrap_socket() (in module ssl)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/ssl.html#ssl.SSLContext.wrap_socket">(ssl.SSLContext method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="distutils/apiref.html#distutils.fancy_getopt.wrap_text">wrap_text() (in module distutils.fancy_getopt)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.wrapper">wrapper() (in module curses)</a>
  </dt>

      
  <dt><a href="library/functools.html#functools.wraps">wraps() (in module functools)</a>
  </dt>

      
  <dt><a href="library/tkinter.html#tkinter.WRITABLE">WRITABLE (in module tkinter)</a>
  </dt>

      
  <dt><a href="library/asyncore.html#asyncore.dispatcher.writable">writable() (asyncore.dispatcher method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/io.html#io.IOBase.writable">(io.IOBase method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/asyncio-stream.html#asyncio.StreamWriter.write">write() (asyncio.StreamWriter method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/asyncio-protocol.html#asyncio.WriteTransport.write">(asyncio.WriteTransport method)</a>
  </dt>

        
  <dt><a href="library/code.html#code.InteractiveInterpreter.write">(code.InteractiveInterpreter method)</a>
  </dt>

        
  <dt><a href="library/codecs.html#codecs.StreamWriter.write">(codecs.StreamWriter method)</a>
  </dt>

        
  <dt><a href="library/configparser.html#configparser.ConfigParser.write">(configparser.ConfigParser method)</a>
  </dt>

        
  <dt><a href="library/email.generator.html#email.generator.BytesGenerator.write">(email.generator.BytesGenerator method)</a>
  </dt>

        
  <dt><a href="library/email.generator.html#email.generator.Generator.write">(email.generator.Generator method)</a>
  </dt>

        
  <dt><a href="library/os.html#os.write">(in module os)</a>
  </dt>

        
  <dt><a href="library/turtle.html#turtle.write">(in module turtle)</a>
  </dt>

        
  <dt><a href="library/io.html#io.BufferedIOBase.write">(io.BufferedIOBase method)</a>
  </dt>

        
  <dt><a href="library/io.html#io.BufferedWriter.write">(io.BufferedWriter method)</a>
  </dt>

        
  <dt><a href="library/io.html#io.RawIOBase.write">(io.RawIOBase method)</a>
  </dt>

        
  <dt><a href="library/io.html#io.TextIOBase.write">(io.TextIOBase method)</a>
  </dt>

        
  <dt><a href="library/mmap.html#mmap.mmap.write">(mmap.mmap method)</a>
  </dt>

        
  <dt><a href="library/ossaudiodev.html#ossaudiodev.oss_audio_device.write">(ossaudiodev.oss_audio_device method)</a>
  </dt>

        
  <dt><a href="library/ssl.html#ssl.MemoryBIO.write">(ssl.MemoryBIO method)</a>
  </dt>

        
  <dt><a href="library/ssl.html#ssl.SSLSocket.write">(ssl.SSLSocket method)</a>
  </dt>

        
  <dt><a href="library/telnetlib.html#telnetlib.Telnet.write">(telnetlib.Telnet method)</a>
  </dt>

        
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.ElementTree.write">(xml.etree.ElementTree.ElementTree method)</a>
  </dt>

        
  <dt><a href="library/zipfile.html#zipfile.ZipFile.write">(zipfile.ZipFile method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/mmap.html#mmap.mmap.write_byte">write_byte() (mmap.mmap method)</a>
  </dt>

      
  <dt><a href="library/pathlib.html#pathlib.Path.write_bytes">write_bytes() (pathlib.Path method)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.write_docstringdict">write_docstringdict() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/asyncio-stream.html#asyncio.StreamWriter.write_eof">write_eof() (asyncio.StreamWriter method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/asyncio-protocol.html#asyncio.WriteTransport.write_eof">(asyncio.WriteTransport method)</a>
  </dt>

        
  <dt><a href="library/ssl.html#ssl.MemoryBIO.write_eof">(ssl.MemoryBIO method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="distutils/apiref.html#distutils.file_util.write_file">write_file() (in module distutils.file_util)</a>
  </dt>

      
  <dt><a href="library/readline.html#readline.write_history_file">write_history_file() (in module readline)</a>
  </dt>

      
  <dt><a href="extending/newtypes.html#index-4">WRITE_RESTRICTED</a>
  </dt>

      
  <dt><a href="library/trace.html#trace.CoverageResults.write_results">write_results() (trace.CoverageResults method)</a>
  </dt>

      
  <dt><a href="library/pathlib.html#pathlib.Path.write_text">write_text() (pathlib.Path method)</a>
  </dt>

      
  <dt><a href="library/ossaudiodev.html#ossaudiodev.oss_audio_device.writeall">writeall() (ossaudiodev.oss_audio_device method)</a>
  </dt>

      
  <dt><a href="library/aifc.html#aifc.aifc.writeframes">writeframes() (aifc.aifc method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/sunau.html#sunau.AU_write.writeframes">(sunau.AU_write method)</a>
  </dt>

        
  <dt><a href="library/wave.html#wave.Wave_write.writeframes">(wave.Wave_write method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/aifc.html#aifc.aifc.writeframesraw">writeframesraw() (aifc.aifc method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/sunau.html#sunau.AU_write.writeframesraw">(sunau.AU_write method)</a>
  </dt>

        
  <dt><a href="library/wave.html#wave.Wave_write.writeframesraw">(wave.Wave_write method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/csv.html#csv.DictWriter.writeheader">writeheader() (csv.DictWriter method)</a>
  </dt>

      
  <dt><a href="library/asyncio-stream.html#asyncio.StreamWriter.writelines">writelines() (asyncio.StreamWriter method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/asyncio-protocol.html#asyncio.WriteTransport.writelines">(asyncio.WriteTransport method)</a>
  </dt>

        
  <dt><a href="library/codecs.html#codecs.StreamWriter.writelines">(codecs.StreamWriter method)</a>
  </dt>

        
  <dt><a href="library/io.html#io.IOBase.writelines">(io.IOBase method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/plistlib.html#plistlib.writePlist">writePlist() (in module plistlib)</a>
  </dt>

      
  <dt><a href="library/plistlib.html#plistlib.writePlistToBytes">writePlistToBytes() (in module plistlib)</a>
  </dt>

      
  <dt><a href="library/zipfile.html#zipfile.PyZipFile.writepy">writepy() (zipfile.PyZipFile method)</a>
  </dt>

      
  <dt><a href="library/formatter.html#formatter.formatter.writer">writer (formatter.formatter attribute)</a>
  </dt>

      
  <dt><a href="library/csv.html#csv.writer">writer() (in module csv)</a>
  </dt>

      
  <dt><a href="library/csv.html#csv.csvwriter.writerow">writerow() (csv.csvwriter method)</a>
  </dt>

      
  <dt><a href="library/csv.html#csv.csvwriter.writerows">writerows() (csv.csvwriter method)</a>
  </dt>

      
  <dt><a href="library/zipfile.html#zipfile.ZipFile.writestr">writestr() (zipfile.ZipFile method)</a>
  </dt>

      
  <dt><a href="library/asyncio-protocol.html#asyncio.WriteTransport">WriteTransport (class in asyncio)</a>
  </dt>

      
  <dt><a href="library/os.html#os.writev">writev() (in module os)</a>
  </dt>

      
  <dt><a href="library/xml.dom.minidom.html#xml.dom.minidom.Node.writexml">writexml() (xml.dom.minidom.Node method)</a>
  </dt>

      
  <dt>
    writing
  </dt>

      <dd><dl>
        
  <dt><a href="reference/simple_stmts.html#index-3">values</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/xml.dom.html#xml.dom.WrongDocumentErr">WrongDocumentErr</a>
  </dt>

      
  <dt><a href="library/2to3.html#2to3fixer-ws_comma">ws_comma (2to3 fixer)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.handlers.BaseHandler.wsgi_file_wrapper">wsgi_file_wrapper (wsgiref.handlers.BaseHandler attribute)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.handlers.BaseHandler.wsgi_multiprocess">wsgi_multiprocess (wsgiref.handlers.BaseHandler attribute)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.handlers.BaseHandler.wsgi_multithread">wsgi_multithread (wsgiref.handlers.BaseHandler attribute)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.handlers.BaseHandler.wsgi_run_once">wsgi_run_once (wsgiref.handlers.BaseHandler attribute)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#module-wsgiref">wsgiref (module)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#module-wsgiref.handlers">wsgiref.handlers (module)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#module-wsgiref.headers">wsgiref.headers (module)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#module-wsgiref.simple_server">wsgiref.simple_server (module)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#module-wsgiref.util">wsgiref.util (module)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#module-wsgiref.validate">wsgiref.validate (module)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.simple_server.WSGIRequestHandler">WSGIRequestHandler (class in wsgiref.simple_server)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.simple_server.WSGIServer">WSGIServer (class in wsgiref.simple_server)</a>
  </dt>

      
  <dt><a href="library/subprocess.html#subprocess.STARTUPINFO.wShowWindow">wShowWindow (subprocess.STARTUPINFO attribute)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WSTOPPED">WSTOPPED (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WSTOPSIG">WSTOPSIG() (in module os)</a>
  </dt>

      
  <dt><a href="library/ctypes.html#ctypes.wstring_at">wstring_at() (in module ctypes)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WTERMSIG">WTERMSIG() (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.WUNTRACED">WUNTRACED (in module os)</a>
  </dt>

      
  <dt><a href="library/internet.html#index-0">WWW</a>, <a href="library/urllib.parse.html#index-0">[1]</a>, <a href="library/urllib.robotparser.html#index-0">[2]</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/cgi.html#index-0">server</a>, <a href="library/http.server.html#index-0">[1]</a>
  </dt>

      </dl></dd>
  </dl></td>
</tr></table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
   <h4>Index</h4>
   <p><a href="genindex-Symbols.html"><strong>Symbols</strong></a>
     | <a href="genindex-_.html"><strong>_</strong></a>
     | <a href="genindex-A.html"><strong>A</strong></a>
     | <a href="genindex-B.html"><strong>B</strong></a>
     | <a href="genindex-C.html"><strong>C</strong></a>
     | <a href="genindex-D.html"><strong>D</strong></a>
     | <a href="genindex-E.html"><strong>E</strong></a>
     | <a href="genindex-F.html"><strong>F</strong></a>
     | <a href="genindex-G.html"><strong>G</strong></a>
     | <a href="genindex-H.html"><strong>H</strong></a>
     | <a href="genindex-I.html"><strong>I</strong></a>
     | <a href="genindex-J.html"><strong>J</strong></a>
     | <a href="genindex-K.html"><strong>K</strong></a>
     | <a href="genindex-L.html"><strong>L</strong></a>
     | <a href="genindex-M.html"><strong>M</strong></a>
     | <a href="genindex-N.html"><strong>N</strong></a>
     | <a href="genindex-O.html"><strong>O</strong></a>
     | <a href="genindex-P.html"><strong>P</strong></a>
     | <a href="genindex-Q.html"><strong>Q</strong></a>
     | <a href="genindex-R.html"><strong>R</strong></a>
     | <a href="genindex-S.html"><strong>S</strong></a>
     | <a href="genindex-T.html"><strong>T</strong></a>
     | <a href="genindex-U.html"><strong>U</strong></a>
     | <a href="genindex-V.html"><strong>V</strong></a>
     | <a href="#"><strong>W</strong></a>
     | <a href="genindex-X.html"><strong>X</strong></a>
     | <a href="genindex-Y.html"><strong>Y</strong></a>
     | <a href="genindex-Z.html"><strong>Z</strong></a>
     </p>

   <p><a href="genindex-all.html"><strong>Full index on one page</strong></a></p>
   


<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 19, 2016.
    <a href="bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>